[PACKAGE]: ../../raw/master/mkp/arista_bgp_peer-1.0.1-20250329.mkp "arista_bgp_peer-1.0.1-20250329.mkp"
# BGP peer

Monitors the status of Arista Networks BGP peers (IPv4 and IPv6)

**Note**: this plugin will supersede the original `arista_bgp` plugin.

<details><summary>arista_bgp_peer</summary>

This plugin will create one service for each BGP peer/adressfamily. It supports IPv4 and IPv6.

**Note:** This is a snmp section only. 

</details>
<details><summary>inv_arista_bgp_peer</summary>

The inventory plugin collects all the static data for each BGP peer.

**Note:** This is a snmp section only. 

</details>

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, alway check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

For more information about the check plugin see the vendor independent plugin [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer"). 

<details><summary>Montoring states</summary>

See [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer")

</details>

<details><summary>Perfdata</summary>

See [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer")

Additional perfdata

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| in/out prefixes | count | no |
| prefixes accepted | count | yes |

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

See [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer")

</details> 

<details><summary>Discovery rule</summary>

See [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer")

</details> 

<details><summary>HW/SW inventory rules</summary>

See [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer")

</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample output details

![sample output details](img/sample-details.png?raw=true "sample output details")

